(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     79030,       1690]
NotebookOptionsPosition[     78051,       1656]
NotebookOutlinePosition[     78637,       1678]
CellTagsIndexPosition[     78594,       1675]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Problem 25", "Subsubsection",
 CellChangeTimes->{{3.60953256570555*^9, 3.60953256721712*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Tau]1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"m1", "+", "m2"}], ")"}], " ", 
        RowBox[{"L1", "^", "2"}]}], " ", "+", 
       RowBox[{"m2", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "L1", " ", "L2", " ", 
           RowBox[{"Cos", "[", "\[Theta]2", "]"}]}], "+", 
          RowBox[{"L2", "^", "2"}]}], ")"}]}]}], ")"}], "dd\[Theta]1"}], "+", 
    RowBox[{"m2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"L1", " ", "L2", " ", 
        RowBox[{"Cos", "[", "\[Theta]1", "]"}]}], "+", 
       RowBox[{"L2", "^", "2"}]}], ")"}], "dd\[Theta]2"}], "-", 
    RowBox[{"2", "m2", " ", "L1", " ", "L2", " ", 
     RowBox[{"Sin", "[", "\[Theta]2", "]"}], " ", "d\[Theta]1", " ", 
     "d\[Theta]2"}], "-", 
    RowBox[{"m2", " ", "L1", " ", "L2", " ", 
     RowBox[{"Sin", "[", "\[Theta]2", "]"}], 
     RowBox[{"(", 
      RowBox[{"d\[Theta]2", "^", "2"}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]2", "=", 
   RowBox[{
    RowBox[{"m2", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"L1", " ", "L2", " ", 
        RowBox[{"Cos", "[", "\[Theta]2", "]"}]}], "+", 
       RowBox[{"L2", "^", "2"}]}], ")"}], "dd\[Theta]1"}], "+", 
    RowBox[{"m2", " ", 
     RowBox[{"L2", "^", "2"}], " ", "dd\[Theta]2"}], "-", 
    RowBox[{"m2", " ", "L1", " ", "L2", " ", 
     RowBox[{"Sin", "[", "\[Theta]2", "]"}], " ", 
     RowBox[{"d\[Theta]1", "^", "2"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<\[Tau]1:\>\"", 
  "]"}], "\[IndentingNewLine]", "\[Tau]1", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "\"\<\[Tau]2:\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"\[Tau]2", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "map", " ", "from", " ", "physical", " ", "variables", " ", "to", " ", 
    "the", " ", "path"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "\[Theta]1", "}"}], ",", 
     RowBox[{"{", "\[Theta]2", "}"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Pi]", "/", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Pi]", "/", "2"}], "}"}]}], "}"}], " ", "s"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "d\[Theta]1", "}"}], ",", 
     RowBox[{"{", "d\[Theta]2", "}"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Pi]", "/", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Pi]", "/", "2"}], "}"}]}], "}"}], " ", "ds"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "dd\[Theta]1", "}"}], ",", 
      RowBox[{"{", "dd\[Theta]2", "}"}]}], "}"}], "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Pi]", "/", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Pi]", "/", "2"}], "}"}]}], "}"}], " ", "dds"}]}], ";"}], 
  "   ", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "find", " ", "the", " ", "effective", " ", "inertia", " ", "confined", 
     " ", "to", " ", "the", " ", "path"}], ",", " ", 
    RowBox[{
    "which", " ", "are", " ", "all", " ", "positive", " ", "along", " ", 
     "the", " ", "path"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ms1", "[", "s_", "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{"\[Tau]1", ",", " ", "dds"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ms2", "[", "s_", "]"}], "=", 
    RowBox[{"D", "[", 
     RowBox[{"\[Tau]2", ",", " ", "dds"}], "]"}]}], ";"}], "     ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "find", " ", "the", " ", "sum", " ", "of", " ", "the", " ", "quadratic", 
    " ", "velocity", " ", "terms", " ", "and", " ", "the", " ", 
    "gravitational", " ", "torques"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cg1", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"\[Tau]1", "-", 
     RowBox[{
      RowBox[{"ms1", "[", "s", "]"}], "dds"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cg2", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"\[Tau]2", "-", 
      RowBox[{
       RowBox[{"ms2", "[", "s", "]"}], "dds"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"calculate", " ", "the", " ", "torque", " ", "ranges"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]1max", "=", 
   RowBox[{"\[Tau]1limit", " ", "-", 
    RowBox[{"b1", " ", "d\[Theta]1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]1min", "=", 
   RowBox[{
    RowBox[{"-", "\[Tau]1limit"}], " ", "-", 
    RowBox[{"b1", " ", "d\[Theta]1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]2max", "=", 
   RowBox[{"\[Tau]2limit", " ", "-", 
    RowBox[{"b2", " ", "d\[Theta]2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Tau]2min", "=", 
    RowBox[{
     RowBox[{"-", "\[Tau]2limit"}], " ", "-", 
     RowBox[{"b2", " ", "d\[Theta]2"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "find", " ", "the", " ", "acceleration", " ", "limits", " ", "from", " ", 
     "the", " ", "torque", " ", "limits", " ", "of", " ", "each", " ", 
     "joint"}], ",", " ", 
    RowBox[{"m", 
     RowBox[{"(", "s", ")"}], " ", "are", " ", "all", " ", "positive", " ", 
     "in", " ", "this", " ", "case"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dds1max", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]1max", "-", "cg1"}], ")"}], "/", 
     RowBox[{"ms1", "[", "s", "]"}]}], "/", "ds"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dds2max", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]2max", "-", "cg2"}], ")"}], "/", 
     RowBox[{"ms2", "[", "s", "]"}]}], "/", "ds"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dds1min", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]1min", "-", "cg1"}], ")"}], "/", 
     RowBox[{"ms1", "[", "s", "]"}]}], "/", "ds"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dds2min", "[", 
     RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Tau]2min", "-", "cg2"}], ")"}], "/", 
      RowBox[{"ms2", "[", "s", "]"}]}], "/", "ds"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"initialize", " ", "all", " ", "the", " ", "parameters"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L1", "=", "1"}], ";", 
   RowBox[{"L2", "=", "0.5"}], ";", 
   RowBox[{"m1", "=", "1"}], ";", 
   RowBox[{"m2", "=", "0.5"}], ";", 
   RowBox[{"b1", "=", "0"}], ";", 
   RowBox[{"b2", "=", "0"}], ";", 
   RowBox[{"\[Tau]1limit", "=", "2"}], ";", 
   RowBox[{"\[Tau]2limit", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"using", " ", "the", " ", "time"}], "-", 
      RowBox[{"scaling", " ", "to", " ", "obtain", " ", "the", " ", "bang"}], 
      "-", 
      RowBox[{
      "bang", " ", "control", " ", "effect", " ", "in", " ", "order", " ", 
       "to", " ", "avoid", " ", "the", " ", "infinity", " ", "acceleration", 
       " ", "and", " ", "deceleration", " ", "at", " ", "ds"}]}], "=", "0"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "set", " ", "a", " ", "deviation", "\[IndentingNewLine]", " ", "1.", " ",
       "find", " ", "the", " ", "max", " ", "acceleration", " ", "curve", " ",
       "from", " ", 
      RowBox[{"ds", "[", "0", "]"}]}], "=", 
     RowBox[{
      RowBox[{
      "0", "\[IndentingNewLine]", "2.", " ", "find", " ", "the", " ", "max", 
       " ", "deceleration", " ", "curve", " ", "tracing", " ", "back", " ", 
       "from", " ", 
       RowBox[{"ds", "[", "1", "]"}]}], "=", 
      RowBox[{
      "0", "\[IndentingNewLine]", "3.", " ", "find", " ", "the", " ", 
       "intersecting", " ", 
       RowBox[{"point", " ", "'"}], 
       RowBox[{"sturn", "'"}], "\[IndentingNewLine]", "4.", " ", "plot", " ", 
       "the", " ", "curve", " ", "from", " ", "max", " ", "acceleration", " ",
        "to", " ", "max", " ", "deceleration"}]}]}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1max", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]1max", "-", "cg1"}], ")"}], "/", 
     RowBox[{"ms1", "[", "s", "]"}]}], "/", 
    RowBox[{"(", 
     RowBox[{"ds", "+", "\[Epsilon]"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ds2max", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]2max", "-", "cg2"}], ")"}], "/", 
     RowBox[{"ms2", "[", "s", "]"}]}], "/", 
    RowBox[{"(", 
     RowBox[{"ds", "+", "\[Epsilon]"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1min", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]1min", "-", "cg1"}], ")"}], "/", 
     RowBox[{"ms1", "[", "s", "]"}]}], "/", 
    RowBox[{"(", 
     RowBox[{"ds", "+", "\[Epsilon]"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ds2min", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Tau]2min", "-", "cg2"}], ")"}], "/", 
     RowBox[{"ms2", "[", "s", "]"}]}], "/", 
    RowBox[{"(", 
     RowBox[{"ds", "+", "\[Epsilon]"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dsmax", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], ":=", 
   RowBox[{"Min", "[", 
    RowBox[{
     RowBox[{"ds1max", "[", 
      RowBox[{"s", ",", "ds"}], "]"}], ",", 
     RowBox[{"ds2max", "[", 
      RowBox[{"s", ",", "ds"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solmax", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ds", "'"}], "[", "s", "]"}], "\[Equal]", 
        RowBox[{"dsmax", "[", 
         RowBox[{"s", ",", 
          RowBox[{"ds", "[", "s", "]"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ds", "[", "0", "]"}], "==", "0"}]}], "}"}], ",", "ds", ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dsmin", "[", 
    RowBox[{"s_", ",", "ds_"}], "]"}], ":=", 
   RowBox[{"Max", "[", 
    RowBox[{
     RowBox[{"ds1min", "[", 
      RowBox[{"s", ",", "ds"}], "]"}], ",", 
     RowBox[{"ds2min", "[", 
      RowBox[{"s", ",", "ds"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solmin", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ds", "'"}], "[", "s", "]"}], "\[Equal]", 
        RowBox[{"dsmin", "[", 
         RowBox[{"s", ",", 
          RowBox[{"ds", "[", "s", "]"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ds", "[", "1", "]"}], "\[Equal]", "0"}]}], "}"}], ",", "ds", 
     ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equal", "[", "s_", "]"}], "=", 
   RowBox[{
    RowBox[{"ds", "[", "s", "]"}], "/.", "solmax"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<The switching time s=:\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"sturn", "=", 
  RowBox[{"s", "/.", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"equal", "[", "s", "]"}], "==", 
       RowBox[{"ds", "[", "s", "]"}]}], "/.", "solmin"}], ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0"}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<The time scaling:\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tscaling", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Piecewise", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"ds", "[", "s", "]"}], "/.", "solmax"}], ",", 
          RowBox[{"s", "<", "sturn"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"ds", "[", "s", "]"}], "/.", "solmin"}], ",", 
          RowBox[{"s", "\[GreaterEqual]", "sturn"}]}], "}"}]}], "}"}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"{", "\"\<Time-scaling curve\>\"", "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<s\>\"", ",", "\"\<\!\(\*SuperscriptBox[\(s\), \('\)]\)\>\""}], 
       "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "initialize", " ", "the", " ", "lists", " ", "for", " ", "ploting"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"slist", "=", 
    RowBox[{"{", "}"}]}], ";", 
   RowBox[{"dslist", "=", 
    RowBox[{"{", "}"}]}], ";", 
   RowBox[{"psds", "=", 
    RowBox[{"{", "}"}]}], ";", 
   RowBox[{"arrow", "=", 
    RowBox[{"{", "}"}]}], ";", 
   RowBox[{"ang", "=", 
    RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"set", " ", "parameters", " ", "for", " ", "plotting"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"step", "=", "0.2"}], ";", " ", 
   RowBox[{"length", "=", "0.08"}], ";", 
   RowBox[{"range", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "initialize", " ", "all", " ", "the", " ", "starting", " ", "points", " ", 
    "of", " ", "the", " ", "velocity", " ", "arrows"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "0"}], ",", 
    RowBox[{"i", "\[LessEqual]", "range"}], ",", 
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "step"}]}], ",", 
    RowBox[{
     RowBox[{"slist", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"slist", ",", "i"}], "]"}]}], ";"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "0"}], ",", 
     RowBox[{"i", "\[LessEqual]", "range"}], ",", 
     RowBox[{"i", "=", 
      RowBox[{"i", "+", "step"}]}], ",", 
     RowBox[{
      RowBox[{"dslist", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"dslist", ",", "i"}], "]"}]}], ";"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "find", " ", "the", " ", "starting", " ", "and", " ", "ending", " ", 
    "points", " ", "of", " ", "the", " ", "max", " ", "acceleration", " ", 
    "and", " ", "deceleration", " ", "arrows"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", 
     RowBox[{"i", "\[LessEqual]", 
      RowBox[{
       RowBox[{"range", "/", "step"}], "+", "1"}]}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", 
          RowBox[{
           RowBox[{"range", "/", "step"}], "+", "1"}]}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"psds", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"psds", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"slist", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"dslist", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"psds", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"psds", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"slist", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"dslist", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"j", "\[NotEqual]", "1"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tempmax", "=", 
              RowBox[{"Min", "[", 
               RowBox[{
                RowBox[{"dds1max", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], " ", "step"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], " ", "step"}]}], "]"}], 
                ",", 
                RowBox[{"dds2max", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], " ", "step"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], " ", "step"}]}], "]"}]}], 
               "]"}]}], " ", ";", "\[IndentingNewLine]", 
             RowBox[{"tempmin", "=", 
              RowBox[{"Max", "[", 
               RowBox[{
                RowBox[{"dds1min", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], " ", "step"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], "step"}]}], "]"}], ",", 
                RowBox[{"dds2min", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], " ", "step"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], " ", "step"}]}], "]"}]}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
              "define", " ", "the", " ", "ending", " ", "points", " ", "of", 
               " ", "the", " ", "arrows"}], "*)"}], " ", 
             RowBox[{"arrow", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"arrow", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"slist", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", 
                   RowBox[{"length", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"ArcTan", "[", "tempmax", "]"}], "]"}]}]}], ",", 
                  RowBox[{
                   RowBox[{"dslist", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "+", 
                   RowBox[{"length", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ArcTan", "[", "tempmax", "]"}], "]"}]}]}]}], 
                 "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"arrow", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"arrow", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"slist", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "+", 
                   RowBox[{"length", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"ArcTan", "[", "tempmin", "]"}], "]"}]}]}], ",", 
                  RowBox[{
                   RowBox[{"dslist", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "+", 
                   RowBox[{"length", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ArcTan", "[", "tempmin", "]"}], "]"}]}]}]}], 
                 "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
              "define", " ", "the", " ", "angles", " ", "between", " ", 
               "each", " ", "two", " ", "arrows"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"ang", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"ang", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ArcTan", "[", "tempmin", "]"}], ",", 
                  RowBox[{"ArcTan", "[", "tempmax", "]"}]}], "}"}]}], "]"}]}],
              ";", 
             RowBox[{"ang", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"ang", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ArcTan", "[", "tempmin", "]"}], ",", 
                  RowBox[{"ArcTan", "[", "tempmax", "]"}]}], "}"}]}], "]"}]}],
              ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"j", "\[Equal]", "1"}], ",", 
            RowBox[{
             RowBox[{"tempmax", "=", "length"}], ";", 
             RowBox[{"tempmin", "=", 
              RowBox[{"-", "length"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"arrow", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"arrow", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"slist", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"dslist", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "+", " ", "tempmax"}]}], 
                 "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"arrow", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"arrow", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"slist", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"dslist", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "+", " ", "tempmin"}]}], 
                 "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"ang", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"ang", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "\[Pi]"}], "/", "2"}], ",", 
                  RowBox[{
                   RowBox[{"-", "\[Pi]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
             ";", 
             RowBox[{"ang", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"ang", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "\[Pi]"}], "/", "2"}], ",", 
                  RowBox[{
                   RowBox[{"-", "\[Pi]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
             ";"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ")"}], 
      ";"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "plot", " ", "the", " ", "max", " ", "acceleration", " ", "and", " ", 
    "deceleration", " ", "arrows"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ContourPlot", "[", 
    RowBox[{"10", ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "1.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ds", ",", 
       RowBox[{"-", "0.1"}], ",", 
       RowBox[{"range", "+", "0.1"}]}], "}"}]}], "]"}], ",", "Tscaling", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"MapThread", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Circle", "[", 
          RowBox[{"#1", ",", "0.02", ",", "#2"}], "]"}], "}"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"psds", "[", 
          RowBox[{"[", 
           RowBox[{"1", ";;", 
            RowBox[{"-", "1"}]}], "]"}], "]"}], ",", 
         RowBox[{"ang", "[", 
          RowBox[{"[", 
           RowBox[{"1", ";;", 
            RowBox[{"-", "1"}]}], "]"}], "]"}]}], "}"}]}], "]"}], "}"}], 
    "]"}], ",", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Arrowheads", "[", "0.025", "]"}], ",", 
      RowBox[{"MapThread", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{"#1", ",", "#2"}], "}"}], "]"}], "&"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"psds", "[", 
           RowBox[{"[", 
            RowBox[{"1", ";;", 
             RowBox[{"-", "1"}]}], "]"}], "]"}], ",", 
          RowBox[{"arrow", "[", 
           RowBox[{"[", 
            RowBox[{"1", ";;", 
             RowBox[{"-", "1"}]}], "]"}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
    "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6093357776906447`*^9, 3.609336056709259*^9}, {
   3.609336134412508*^9, 3.6093362019008875`*^9}, {3.609336645270012*^9, 
   3.6093367847738276`*^9}, {3.609336822151965*^9, 3.6093368350686474`*^9}, {
   3.609359914754713*^9, 3.609360057372513*^9}, {3.60936110086635*^9, 
   3.60936110196018*^9}, {3.6093612134352875`*^9, 3.6093612181230373`*^9}, {
   3.609361425166112*^9, 3.609361441698292*^9}, {3.609371153850665*^9, 
   3.609371172457175*^9}, {3.6093712353434567`*^9, 3.6093712668496456`*^9}, {
   3.6093714123755016`*^9, 3.6093714535161605`*^9}, {3.6094267634210443`*^9, 
   3.6094267823656826`*^9}, 3.609504683684684*^9, {3.6095048414181857`*^9, 
   3.6095048436016226`*^9}, {3.609505241810215*^9, 3.6095053097525525`*^9}, {
   3.609505357252222*^9, 3.6095053859800167`*^9}, {3.6095054244656878`*^9, 
   3.6095054353749647`*^9}, 3.609505903977216*^9, {3.6095059681069937`*^9, 
   3.6095059888638277`*^9}, {3.609506028531107*^9, 3.6095060457465925`*^9}, {
   3.6095060882036695`*^9, 3.609506101655632*^9}, {3.6095061608552647`*^9, 
   3.6095061974836984`*^9}, {3.6095064085578585`*^9, 
   3.6095064103960733`*^9}, {3.609506464044978*^9, 3.609506488042986*^9}, {
   3.609506554512418*^9, 3.6095065608236265`*^9}, {3.609506628553808*^9, 
   3.6095066557099247`*^9}, {3.6095242129672184`*^9, 3.609524213082237*^9}, {
   3.6095325074109716`*^9, 3.6095325075910935`*^9}, {3.609532580893775*^9, 
   3.6095325864822316`*^9}, {3.6095328273426647`*^9, 
   3.6095328393894978`*^9}, {3.609533079724617*^9, 3.6095332962106004`*^9}, {
   3.609533588800256*^9, 3.609533598561804*^9}, {3.6095336603842225`*^9, 
   3.6095336655600443`*^9}, {3.609533796425782*^9, 3.6095338171340585`*^9}, {
   3.609533995821816*^9, 3.609534061315603*^9}, {3.609534296184432*^9, 
   3.609534302988987*^9}, {3.609534375832877*^9, 3.609534389757222*^9}, {
   3.6095344201926537`*^9, 3.609534500318267*^9}, {3.609534615367481*^9, 
   3.6095346750025215`*^9}, {3.6095347210704317`*^9, 3.609534810398385*^9}, {
   3.6095349255956116`*^9, 3.609535040754058*^9}, {3.6095351425403495`*^9, 
   3.6095352896255307`*^9}, {3.6095353425270023`*^9, 
   3.6095353460863895`*^9}, {3.609535672897707*^9, 3.6095357004272842`*^9}, {
   3.6095359450690966`*^9, 3.6095359762670994`*^9}, {3.6095360515364447`*^9, 
   3.6095361346394663`*^9}, 3.609536212752119*^9, {3.6096079606358213`*^9, 
   3.6096079629303603`*^9}, {3.609609124541499*^9, 3.6096091939280677`*^9}, {
   3.6096103108402724`*^9, 3.609610315957717*^9}, {3.6096104454386244`*^9, 
   3.609610457732876*^9}, {3.6096105061761665`*^9, 3.6096105098496323`*^9}, {
   3.609610664500578*^9, 3.609610667548626*^9}, 3.6096111528092647`*^9, {
   3.6096113336677265`*^9, 3.609611358081162*^9}, {3.609611424803943*^9, 
   3.609611486135109*^9}, {3.609611536260753*^9, 3.6096117384065857`*^9}, {
   3.609611771222556*^9, 3.609611794694313*^9}, {3.609611881022254*^9, 
   3.6096119166001306`*^9}, {3.609612019897917*^9, 3.609612041491415*^9}, {
   3.6096120891914268`*^9, 3.6096122537076836`*^9}, {3.609612312415126*^9, 
   3.609612326800766*^9}, {3.609612370892418*^9, 3.609612426310633*^9}, {
   3.60961247750099*^9, 3.6096125502968445`*^9}, {3.609612730295435*^9, 
   3.609612733038291*^9}, {3.609612966908244*^9, 3.6096130763488636`*^9}, {
   3.609613228316861*^9, 3.6096132464410267`*^9}, {3.609613310710927*^9, 
   3.6096133277413588`*^9}, {3.6096136827784348`*^9, 3.609613795159567*^9}, {
   3.609613830214093*^9, 3.6096140107567315`*^9}, {3.609614242528697*^9, 
   3.6096144265031347`*^9}, {3.6096145283101397`*^9, 3.6096145527045145`*^9}, 
   3.609614599545952*^9, {3.609614718093371*^9, 3.6096147341581526`*^9}, {
   3.6096147642293396`*^9, 3.609614926892789*^9}, {3.6096149735380964`*^9, 
   3.6096149801455383`*^9}, {3.609615201840356*^9, 3.6096152220199165`*^9}, {
   3.609615299646623*^9, 3.609615305024232*^9}, {3.609617144254731*^9, 
   3.609617156460334*^9}, {3.609629722307687*^9, 3.6096298653046637`*^9}, {
   3.6096299199313335`*^9, 3.609630138133786*^9}, {3.609630181319766*^9, 
   3.6096302001584206`*^9}, {3.6096439978393173`*^9, 3.609644120624443*^9}, {
   3.6096445224433165`*^9, 3.6096445325790787`*^9}, {3.6098533729044075`*^9, 
   3.60985337868601*^9}, {3.609853564342458*^9, 3.6098535868407345`*^9}, {
   3.6098537093561673`*^9, 3.609853720989442*^9}, {3.6098537562577043`*^9, 
   3.609853903126215*^9}, {3.60985402474842*^9, 3.609854039042272*^9}, {
   3.6098546992404623`*^9, 3.609854824786193*^9}, {3.6098548846143904`*^9, 
   3.609854951941492*^9}, {3.609865545601192*^9, 3.6098655748748503`*^9}, 
   3.609865609639199*^9, {3.609865645333169*^9, 3.6098656726355057`*^9}, {
   3.6098657235607104`*^9, 3.6098657518517075`*^9}, {3.6098657824902873`*^9, 
   3.6098658006714945`*^9}, {3.6098658515626707`*^9, 
   3.6098659076653633`*^9}, {3.6098811893845396`*^9, 3.6098812666474257`*^9}, 
   3.6098813233274913`*^9, 3.6098814138652945`*^9, {3.6098814454445047`*^9, 
   3.609881452142002*^9}, {3.6098816402683454`*^9, 3.609881685335613*^9}}],

Cell[BoxData["\<\"\[Tau]1:\"\>"], "Print",
 CellChangeTimes->{
  3.6096125506901083`*^9, 3.6096127357380857`*^9, {3.6096130522827215`*^9, 
   3.6096130782351303`*^9}, 3.6096132282077875`*^9, 3.6096133294515066`*^9, 
   3.6096137785060577`*^9, {3.6096138458780313`*^9, 3.609613883021966*^9}, {
   3.609614332646141*^9, 3.6096143530628443`*^9}, {3.609614388111368*^9, 
   3.609614396005667*^9}, 3.6096144282383003`*^9, 3.609614484626147*^9, {
   3.6096145310359707`*^9, 3.609614556175843*^9}, 3.6096146010949917`*^9, {
   3.6096147228635707`*^9, 3.6096147359884043`*^9}, {3.609614766246689*^9, 
   3.6096148608975115`*^9}, 3.609614901576796*^9, {3.609614959177458*^9, 
   3.609614982089834*^9}, {3.60961520247478*^9, 3.6096152238561354`*^9}, 
   3.6096153066633253`*^9, 3.6096171594023085`*^9, 3.6096298706272545`*^9, 
   3.6096299539021297`*^9, 3.6096299847848544`*^9, {3.609630020537857*^9, 
   3.60963009484673*^9}, 3.609630142542739*^9, 3.6096302019466105`*^9, 
   3.609644009918373*^9, {3.6096441009613256`*^9, 3.6096441228129015`*^9}, 
   3.609853384405326*^9, 3.60985348910927*^9, {3.6098535662577486`*^9, 
   3.60985358873603*^9}, 3.6098537767016487`*^9, 3.609853810805645*^9, {
   3.6098538615963116`*^9, 3.6098539049514923`*^9}, {3.6098540285940228`*^9, 
   3.6098540406975174`*^9}, {3.60985471314767*^9, 3.6098547910477133`*^9}, 
   3.609854826401446*^9, {3.6098549323668137`*^9, 3.60985495409683*^9}, 
   3.6098655756023407`*^9, 3.6098656118326707`*^9, 3.6098656481010284`*^9, 
   3.6098657323015966`*^9, 3.609865801889312*^9, {3.609865837871477*^9, 
   3.6098658613772635`*^9}, 3.6098659091143947`*^9, 3.609881207337592*^9, 
   3.6098812672898684`*^9, 3.6098813255709963`*^9, 3.609881452821458*^9, {
   3.6098816627484426`*^9, 3.6098816800190415`*^9}, 3.609881736237797*^9, 
   3.609881986082591*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dd\[Theta]2", " ", "m2", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["L2", "2"], "+", 
     RowBox[{"L1", " ", "L2", " ", 
      RowBox[{"Cos", "[", "\[Theta]1", "]"}]}]}], ")"}]}], "+", 
  RowBox[{"dd\[Theta]1", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["L1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"m1", "+", "m2"}], ")"}]}], "+", 
     RowBox[{"m2", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["L2", "2"], "+", 
        RowBox[{"2", " ", "L1", " ", "L2", " ", 
         RowBox[{"Cos", "[", "\[Theta]2", "]"}]}]}], ")"}]}]}], ")"}]}], "-", 
  RowBox[{
  "2", " ", "d\[Theta]1", " ", "d\[Theta]2", " ", "L1", " ", "L2", " ", "m2", 
   " ", 
   RowBox[{"Sin", "[", "\[Theta]2", "]"}]}], "-", 
  RowBox[{
   SuperscriptBox["d\[Theta]2", "2"], " ", "L1", " ", "L2", " ", "m2", " ", 
   RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.6096125507081203`*^9, 3.609612735754097*^9, {3.609613052299721*^9, 
   3.609613078362213*^9}, 3.609613228237808*^9, 3.6096133294685183`*^9, 
   3.6096137785210476`*^9, {3.609613845896044*^9, 3.6096138830459785`*^9}, {
   3.6096143326701555`*^9, 3.609614353082857*^9}, {3.6096143881303816`*^9, 
   3.6096143960336857`*^9}, 3.609614428331363*^9, 3.6096144846951923`*^9, {
   3.6096145310589857`*^9, 3.6096145561948557`*^9}, 3.6096146011220098`*^9, {
   3.609614722906602*^9, 3.6096147360083923`*^9}, {3.609614766267704*^9, 
   3.6096148609255123`*^9}, 3.6096149015968285`*^9, {3.6096149592014737`*^9, 
   3.609614982165887*^9}, {3.6096152024777822`*^9, 3.6096152238751593`*^9}, 
   3.609615306687341*^9, 3.6096171594253254`*^9, 3.609629870692279*^9, 
   3.609629953935151*^9, 3.6096299847878575`*^9, {3.6096300205998983`*^9, 
   3.6096300949087696`*^9}, 3.6096301426127853`*^9, 3.6096302019716277`*^9, 
   3.6096440099403877`*^9, {3.6096441009833393`*^9, 3.609644122834918*^9}, 
   3.609853384420949*^9, 3.6098534891405225`*^9, {3.6098535662777495`*^9, 
   3.609853588756033*^9}, 3.609853776721654*^9, 3.6098538108306484`*^9, {
   3.609853861616315*^9, 3.609853904971495*^9}, {3.6098540286140285`*^9, 
   3.609854040722522*^9}, {3.6098547131576715`*^9, 3.6098547910827*^9}, 
   3.6098548264564557`*^9, {3.6098549323918204`*^9, 3.609854954116833*^9}, 
   3.6098655755993385`*^9, 3.609865611847683*^9, 3.609865648120041*^9, 
   3.60986573231859*^9, 3.6098658018883204`*^9, {3.6098658378674746`*^9, 
   3.6098658613752627`*^9}, 3.609865909130334*^9, 3.609881207353605*^9, 
   3.6098812673058677`*^9, 3.6098813255960145`*^9, 3.609881452822458*^9, {
   3.6098816627684546`*^9, 3.6098816800350513`*^9}, 3.609881736260812*^9, 
   3.609881986113611*^9}],

Cell[BoxData["\<\"\[Tau]2:\"\>"], "Print",
 CellChangeTimes->{
  3.6096125506901083`*^9, 3.6096127357380857`*^9, {3.6096130522827215`*^9, 
   3.6096130782351303`*^9}, 3.6096132282077875`*^9, 3.6096133294515066`*^9, 
   3.6096137785060577`*^9, {3.6096138458780313`*^9, 3.609613883021966*^9}, {
   3.609614332646141*^9, 3.6096143530628443`*^9}, {3.609614388111368*^9, 
   3.609614396005667*^9}, 3.6096144282383003`*^9, 3.609614484626147*^9, {
   3.6096145310359707`*^9, 3.609614556175843*^9}, 3.6096146010949917`*^9, {
   3.6096147228635707`*^9, 3.6096147359884043`*^9}, {3.609614766246689*^9, 
   3.6096148608975115`*^9}, 3.609614901576796*^9, {3.609614959177458*^9, 
   3.609614982089834*^9}, {3.60961520247478*^9, 3.6096152238561354`*^9}, 
   3.6096153066633253`*^9, 3.6096171594023085`*^9, 3.6096298706272545`*^9, 
   3.6096299539021297`*^9, 3.6096299847848544`*^9, {3.609630020537857*^9, 
   3.60963009484673*^9}, 3.609630142542739*^9, 3.6096302019466105`*^9, 
   3.609644009918373*^9, {3.6096441009613256`*^9, 3.6096441228129015`*^9}, 
   3.609853384405326*^9, 3.60985348910927*^9, {3.6098535662577486`*^9, 
   3.60985358873603*^9}, 3.6098537767016487`*^9, 3.609853810805645*^9, {
   3.6098538615963116`*^9, 3.6098539049514923`*^9}, {3.6098540285940228`*^9, 
   3.6098540406975174`*^9}, {3.60985471314767*^9, 3.6098547910477133`*^9}, 
   3.609854826401446*^9, {3.6098549323668137`*^9, 3.60985495409683*^9}, 
   3.6098655756023407`*^9, 3.6098656118326707`*^9, 3.6098656481010284`*^9, 
   3.6098657323015966`*^9, 3.609865801889312*^9, {3.609865837871477*^9, 
   3.6098658613772635`*^9}, 3.6098659091143947`*^9, 3.609881207337592*^9, 
   3.6098812672898684`*^9, 3.6098813255709963`*^9, 3.609881452821458*^9, {
   3.6098816627484426`*^9, 3.6098816800190415`*^9}, 3.609881736237797*^9, 
   3.609881986115613*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dd\[Theta]2", " ", 
   SuperscriptBox["L2", "2"], " ", "m2"}], "+", 
  RowBox[{"dd\[Theta]1", " ", "m2", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["L2", "2"], "+", 
     RowBox[{"L1", " ", "L2", " ", 
      RowBox[{"Cos", "[", "\[Theta]2", "]"}]}]}], ")"}]}], "-", 
  RowBox[{
   SuperscriptBox["d\[Theta]1", "2"], " ", "L1", " ", "L2", " ", "m2", " ", 
   RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.6096125507081203`*^9, 3.609612735754097*^9, {3.609613052299721*^9, 
   3.609613078362213*^9}, 3.609613228237808*^9, 3.6096133294685183`*^9, 
   3.6096137785210476`*^9, {3.609613845896044*^9, 3.6096138830459785`*^9}, {
   3.6096143326701555`*^9, 3.609614353082857*^9}, {3.6096143881303816`*^9, 
   3.6096143960336857`*^9}, 3.609614428331363*^9, 3.6096144846951923`*^9, {
   3.6096145310589857`*^9, 3.6096145561948557`*^9}, 3.6096146011220098`*^9, {
   3.609614722906602*^9, 3.6096147360083923`*^9}, {3.609614766267704*^9, 
   3.6096148609255123`*^9}, 3.6096149015968285`*^9, {3.6096149592014737`*^9, 
   3.609614982165887*^9}, {3.6096152024777822`*^9, 3.6096152238751593`*^9}, 
   3.609615306687341*^9, 3.6096171594253254`*^9, 3.609629870692279*^9, 
   3.609629953935151*^9, 3.6096299847878575`*^9, {3.6096300205998983`*^9, 
   3.6096300949087696`*^9}, 3.6096301426127853`*^9, 3.6096302019716277`*^9, 
   3.6096440099403877`*^9, {3.6096441009833393`*^9, 3.609644122834918*^9}, 
   3.609853384420949*^9, 3.6098534891405225`*^9, {3.6098535662777495`*^9, 
   3.609853588756033*^9}, 3.609853776721654*^9, 3.6098538108306484`*^9, {
   3.609853861616315*^9, 3.609853904971495*^9}, {3.6098540286140285`*^9, 
   3.609854040722522*^9}, {3.6098547131576715`*^9, 3.6098547910827*^9}, 
   3.6098548264564557`*^9, {3.6098549323918204`*^9, 3.609854954116833*^9}, 
   3.6098655755993385`*^9, 3.609865611847683*^9, 3.609865648120041*^9, 
   3.60986573231859*^9, 3.6098658018883204`*^9, {3.6098658378674746`*^9, 
   3.6098658613752627`*^9}, 3.609865909130334*^9, 3.609881207353605*^9, 
   3.6098812673058677`*^9, 3.6098813255960145`*^9, 3.609881452822458*^9, {
   3.6098816627684546`*^9, 3.6098816800350513`*^9}, 3.609881736260812*^9, 
   3.609881986116612*^9}],

Cell[BoxData["\<\"The switching time s=:\"\>"], "Print",
 CellChangeTimes->{
  3.6096125506901083`*^9, 3.6096127357380857`*^9, {3.6096130522827215`*^9, 
   3.6096130782351303`*^9}, 3.6096132282077875`*^9, 3.6096133294515066`*^9, 
   3.6096137785060577`*^9, {3.6096138458780313`*^9, 3.609613883021966*^9}, {
   3.609614332646141*^9, 3.6096143530628443`*^9}, {3.609614388111368*^9, 
   3.609614396005667*^9}, 3.6096144282383003`*^9, 3.609614484626147*^9, {
   3.6096145310359707`*^9, 3.609614556175843*^9}, 3.6096146010949917`*^9, {
   3.6096147228635707`*^9, 3.6096147359884043`*^9}, {3.609614766246689*^9, 
   3.6096148608975115`*^9}, 3.609614901576796*^9, {3.609614959177458*^9, 
   3.609614982089834*^9}, {3.60961520247478*^9, 3.6096152238561354`*^9}, 
   3.6096153066633253`*^9, 3.6096171594023085`*^9, 3.6096298706272545`*^9, 
   3.6096299539021297`*^9, 3.6096299847848544`*^9, {3.609630020537857*^9, 
   3.60963009484673*^9}, 3.609630142542739*^9, 3.6096302019466105`*^9, 
   3.609644009918373*^9, {3.6096441009613256`*^9, 3.6096441228129015`*^9}, 
   3.609853384405326*^9, 3.60985348910927*^9, {3.6098535662577486`*^9, 
   3.60985358873603*^9}, 3.6098537767016487`*^9, 3.609853810805645*^9, {
   3.6098538615963116`*^9, 3.6098539049514923`*^9}, {3.6098540285940228`*^9, 
   3.6098540406975174`*^9}, {3.60985471314767*^9, 3.6098547910477133`*^9}, 
   3.609854826401446*^9, {3.6098549323668137`*^9, 3.60985495409683*^9}, 
   3.6098655756023407`*^9, 3.6098656118326707`*^9, 3.6098656481010284`*^9, 
   3.6098657323015966`*^9, 3.609865801889312*^9, {3.609865837871477*^9, 
   3.6098658613772635`*^9}, 3.6098659091143947`*^9, 3.609881207337592*^9, 
   3.6098812672898684`*^9, 3.6098813255709963`*^9, 3.609881452821458*^9, {
   3.6098816627484426`*^9, 3.6098816800190415`*^9}, 3.609881736237797*^9, 
   3.6098819861366253`*^9}],

Cell[BoxData["0.4569942248823413`"], "Output",
 CellChangeTimes->{
  3.6096125507081203`*^9, 3.609612735754097*^9, {3.609613052299721*^9, 
   3.609613078362213*^9}, 3.609613228237808*^9, 3.6096133294685183`*^9, 
   3.6096137785210476`*^9, {3.609613845896044*^9, 3.6096138830459785`*^9}, {
   3.6096143326701555`*^9, 3.609614353082857*^9}, {3.6096143881303816`*^9, 
   3.6096143960336857`*^9}, 3.609614428331363*^9, 3.6096144846951923`*^9, {
   3.6096145310589857`*^9, 3.6096145561948557`*^9}, 3.6096146011220098`*^9, {
   3.609614722906602*^9, 3.6096147360083923`*^9}, {3.609614766267704*^9, 
   3.6096148609255123`*^9}, 3.6096149015968285`*^9, {3.6096149592014737`*^9, 
   3.609614982165887*^9}, {3.6096152024777822`*^9, 3.6096152238751593`*^9}, 
   3.609615306687341*^9, 3.6096171594253254`*^9, 3.609629870692279*^9, 
   3.609629953935151*^9, 3.6096299847878575`*^9, {3.6096300205998983`*^9, 
   3.6096300949087696`*^9}, 3.6096301426127853`*^9, 3.6096302019716277`*^9, 
   3.6096440099403877`*^9, {3.6096441009833393`*^9, 3.609644122834918*^9}, 
   3.609853384420949*^9, 3.6098534891405225`*^9, {3.6098535662777495`*^9, 
   3.609853588756033*^9}, 3.609853776721654*^9, 3.6098538108306484`*^9, {
   3.609853861616315*^9, 3.609853904971495*^9}, {3.6098540286140285`*^9, 
   3.609854040722522*^9}, {3.6098547131576715`*^9, 3.6098547910827*^9}, 
   3.6098548264564557`*^9, {3.6098549323918204`*^9, 3.609854954116833*^9}, 
   3.6098655755993385`*^9, 3.609865611847683*^9, 3.609865648120041*^9, 
   3.60986573231859*^9, 3.6098658018883204`*^9, {3.6098658378674746`*^9, 
   3.6098658613752627`*^9}, 3.609865909130334*^9, 3.609881207353605*^9, 
   3.6098812673058677`*^9, 3.6098813255960145`*^9, 3.609881452822458*^9, {
   3.6098816627684546`*^9, 3.6098816800350513`*^9}, 3.609881736260812*^9, 
   3.609881986140628*^9}],

Cell[BoxData["\<\"The time scaling:\"\>"], "Print",
 CellChangeTimes->{
  3.6096125506901083`*^9, 3.6096127357380857`*^9, {3.6096130522827215`*^9, 
   3.6096130782351303`*^9}, 3.6096132282077875`*^9, 3.6096133294515066`*^9, 
   3.6096137785060577`*^9, {3.6096138458780313`*^9, 3.609613883021966*^9}, {
   3.609614332646141*^9, 3.6096143530628443`*^9}, {3.609614388111368*^9, 
   3.609614396005667*^9}, 3.6096144282383003`*^9, 3.609614484626147*^9, {
   3.6096145310359707`*^9, 3.609614556175843*^9}, 3.6096146010949917`*^9, {
   3.6096147228635707`*^9, 3.6096147359884043`*^9}, {3.609614766246689*^9, 
   3.6096148608975115`*^9}, 3.609614901576796*^9, {3.609614959177458*^9, 
   3.609614982089834*^9}, {3.60961520247478*^9, 3.6096152238561354`*^9}, 
   3.6096153066633253`*^9, 3.6096171594023085`*^9, 3.6096298706272545`*^9, 
   3.6096299539021297`*^9, 3.6096299847848544`*^9, {3.609630020537857*^9, 
   3.60963009484673*^9}, 3.609630142542739*^9, 3.6096302019466105`*^9, 
   3.609644009918373*^9, {3.6096441009613256`*^9, 3.6096441228129015`*^9}, 
   3.609853384405326*^9, 3.60985348910927*^9, {3.6098535662577486`*^9, 
   3.60985358873603*^9}, 3.6098537767016487`*^9, 3.609853810805645*^9, {
   3.6098538615963116`*^9, 3.6098539049514923`*^9}, {3.6098540285940228`*^9, 
   3.6098540406975174`*^9}, {3.60985471314767*^9, 3.6098547910477133`*^9}, 
   3.609854826401446*^9, {3.6098549323668137`*^9, 3.60985495409683*^9}, 
   3.6098655756023407`*^9, 3.6098656118326707`*^9, 3.6098656481010284`*^9, 
   3.6098657323015966`*^9, 3.609865801889312*^9, {3.609865837871477*^9, 
   3.6098658613772635`*^9}, 3.6098659091143947`*^9, 3.609881207337592*^9, 
   3.6098812672898684`*^9, 3.6098813255709963`*^9, 3.609881452821458*^9, {
   3.6098816627484426`*^9, 3.6098816800190415`*^9}, 3.609881736237797*^9, 
   3.6098819861426296`*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {}, {
      Hue[0.67, 0.6, 0.6], 
      Thickness[Large], 
      LineBox[CompressedData["
1:eJwVU3k81IsXRcokmVB5vDRkKSkkhIeTJUmriFZKKlqEJ/uSQnmJFqHITtbE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       "]]}}, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
    Axes -> True, AxesLabel -> {
      FormBox["\"s\"", TraditionalForm], 
      FormBox[
      "\"\\!\\(\\*SuperscriptBox[\\(s\\), \\('\\)]\\)\"", TraditionalForm]}, 
    AxesOrigin -> {0, 0}, ImageSize -> {473.3333363356405, Automatic}, 
    Method -> {}, PlotRange -> {{0, 1}, {0, 1}}, PlotRangeClipping -> True, 
    PlotRangePadding -> {Automatic, Automatic}],
   TemplateBox[{"\"Time-scaling curve\""}, "LineLegend", 
    DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            TagBox[
             GridBox[{{
                GraphicsBox[{{
                   Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    Hue[0.67, 0.6, 0.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                   Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    Hue[0.67, 0.6, 0.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                 ImageSize -> {20, 10}, PlotRangePadding -> None, 
                 ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
              GridBoxAlignment -> {
               "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {
               "Columns" -> {{False}}, "Rows" -> {{False}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], 
             "Grid"]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"LineLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{"Directive", "[", 
             RowBox[{
               RowBox[{"Hue", "[", 
                 RowBox[{"0.67`", ",", "0.6`", ",", "0.6`"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], ",", 
         RowBox[{"{", #, "}"}], ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.6096125507081203`*^9, 3.609612735754097*^9, {3.609613052299721*^9, 
   3.609613078362213*^9}, 3.609613228237808*^9, 3.6096133294685183`*^9, 
   3.6096137785210476`*^9, {3.609613845896044*^9, 3.6096138830459785`*^9}, {
   3.6096143326701555`*^9, 3.609614353082857*^9}, {3.6096143881303816`*^9, 
   3.6096143960336857`*^9}, 3.609614428331363*^9, 3.6096144846951923`*^9, {
   3.6096145310589857`*^9, 3.6096145561948557`*^9}, 3.6096146011220098`*^9, {
   3.609614722906602*^9, 3.6096147360083923`*^9}, {3.609614766267704*^9, 
   3.6096148609255123`*^9}, 3.6096149015968285`*^9, {3.6096149592014737`*^9, 
   3.609614982165887*^9}, {3.6096152024777822`*^9, 3.6096152238751593`*^9}, 
   3.609615306687341*^9, 3.6096171594253254`*^9, 3.609629870692279*^9, 
   3.609629953935151*^9, 3.6096299847878575`*^9, {3.6096300205998983`*^9, 
   3.6096300949087696`*^9}, 3.6096301426127853`*^9, 3.6096302019716277`*^9, 
   3.6096440099403877`*^9, {3.6096441009833393`*^9, 3.609644122834918*^9}, 
   3.609853384420949*^9, 3.6098534891405225`*^9, {3.6098535662777495`*^9, 
   3.609853588756033*^9}, 3.609853776721654*^9, 3.6098538108306484`*^9, {
   3.609853861616315*^9, 3.609853904971495*^9}, {3.6098540286140285`*^9, 
   3.609854040722522*^9}, {3.6098547131576715`*^9, 3.6098547910827*^9}, 
   3.6098548264564557`*^9, {3.6098549323918204`*^9, 3.609854954116833*^9}, 
   3.6098655755993385`*^9, 3.609865611847683*^9, 3.609865648120041*^9, 
   3.60986573231859*^9, 3.6098658018883204`*^9, {3.6098658378674746`*^9, 
   3.6098658613752627`*^9}, 3.609865909130334*^9, 3.609881207353605*^9, 
   3.6098812673058677`*^9, 3.6098813255960145`*^9, 3.609881452822458*^9, {
   3.6098816627684546`*^9, 3.6098816800350513`*^9}, 3.609881736260812*^9, 
   3.609881986254706*^9}]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{
     GeometricTransformationBox[
      GraphicsComplexBox[CompressedData["
1:eJxl17FrU1EYhvHo0q24FFwqCN36HwTkkrG6FJeOQsFRdBGX4lJwELvULDoV
caiCFEQKXRqFU9zscipoQTQcRSNKvq1uem983vDeFmr49ct3Tx7b5VxcvXn1
+tlOp/Pn33f9ytfjR/XX3uCoN597868qd5JfDxf3h4vvWvMsX95cWNpc+CAP
mvd/kievX1r7RT432podbX2TrzTP+yHf626vd7d/ym+a5/+W7x6srB2sjFvn
hUzv+fpT9zbU604yvT7PMr2YXkyv7xeZXkwvphfTi+n180Kmt18/dullRa87
yfT6PMv0Ynoxvb5fZHoxvZheTC+m188Lmd73/7vodSeZXp9nmV5ML6bX94tM
L6YX04vpxfT6eSHTuxpz12LuUL3uJNPr8yzTi+nF9Pp+kenF9GJ6Mb2YXj8v
ZHrvLM/cXp45Uq87yfT6PMv0Ynoxvb5fZHoxvZheTC+m188Lmd5L9WPWP6rX
nWR6fZ5lejG9mF7fLzK9mF5ML6YX0+vnhUzvmebfz+p1J5len2eZXkwvptf3
i0wvphfTi+nF9Pp5IdNb6rX9oXrdSabX51mmF9OL6fX9ItOL6cX0YnoxvX5e
yPS+rd+29lW97iTT6/Ms04vpxfT6fpHpxfRiejG9mF4/L2R6n9d/3t3v6nUn
mV6fZ5leTC+m1/eLTC+mF9OL6cX0+nkh07uxc3J/52SkXneS6fV5lunF9GJ6
fb/I9GJ6Mb2YXkyvnxcyvbeOd28c7/5SrzvJ9Po8y/RiejG9vl9kejG9mF5M
L6bXzwuZ3mfN73usXneS6fV5lunF9GJ6fb/I9GJ6Mb2YXkyvnxcyvfzc70eh
Xuz3o1Av9vtRVH4/CvX6fpH9fhSV34+i8vtRVH4/isrvR3HqdXLe06r51L0X
uj/gB83f/Vhz9jD7T2brDzr9/8Pst90+n/uaz/cGPp9+bp43mferPPk9DR42
94KQmV9ofhAVc8znbe/7+f1T57Pv8+n9k+fx/Pb5vO8vbAp8Ng==
       "], {{}, {}, {}, {}, {}, {
         RGBColor[0.941176, 0.906538, 0.834043], 
         EdgeForm[None], 
         GraphicsGroupBox[
          PolygonBox[CompressedData["
1:eJwBCQX2+iFib1JiAgAAAKgBAAADAAAA4gIRFQUGEgIDEwMEFgYHFwcIGgoL
HAwNGAgJGQkKFAQFKhobGwsMKRkaIxMUIBARIRESJBQVJRUWKBgZ7+XkJhYX
JxcYHQ0OKxscLBwdPy8wRzc4MSEiLR0eMiIjNCQlNycoMyMkNSUmNiYnLx8g
MCAhOCgpOSkqQDAxPCwtPi4vQTEyIhITQjIzRDQ1OiorOyssQzM0RTU2gHBx
RjY3f29wTj4/Sjo7Szs8Tz9AUEBBU0NEVUVGUUFCUkJDTT0+Y1NUVERFYlJT
XExNWEhJWUlKXU1OXk5PYVFSV0dIX09QYFBRVkZHZFRVZVVWd2doSTk6aVla
ZlZXa1tcbV1ecGBhbFxdbl5fb19gZ1dYaFhZcWFicmJjeGhpdWVmdmZnempr
SDg5e2tsfW1uc2NkdGRlfGxtfm5vWkpLgXFyzb2+hnZ3g3N0hHR1nIyNh3d4
inp7i3t8jHx9jX1+hXV2iXl6jn5/kICBlYWGkoKDk4OEloaHmIiJm4uMkYGC
mYmKmoqLj3+A8PjnnY2On4+Qo5OUoJCRoZGSno6PpJSVp5eYqJiZqZmaqpqb
opKTq5ucrJydrZ2er5+gsKChsaGisqKjlISFs6OkuKiprp6ftqant6eotKSl
gnJzuamqu6uswLCxva2uvq6vwbGywrKzxra3yLi5w7O0xbW2v6+w1sbHx7e4
1cXGzr6/y7u8zLy9z7/A0MDB5sXUyrq70cHC0sLDybm618fI2MjJCBgXvKyt
3MzN2cnK3c3O38/Q4+IQ3s7P4NDR7ejS2srL28vMAhIRAxMSCRkYBhYVBxcW
ChoZuqqrCxsaDR0cBBQTBRUUDBwb5B0OECAfESEgEiIhFCQjFSUkFiYlFycm
GCgnGSkoGiopGysqHCwrHS0sHy8uIDAvITEwIjIxIzMyJDQzJTU0JjY1Jzc2
KDg3KTk4Kjo5Kzs6LDw7Lj49Lz8+M0NCMEA/MUFASVlYNERDNkZFN0dGOEhH
OUlIMkJBOkpJO0tKPU1MP09OQFBPQVFQQlJRSFhXQ1NSR1dWPk5NRVVURlZV
RFRTNUVESlpZbn59TV1cTl5dT19eUGBfUWFgUmJhU2NiVGRjVWVkVmZlV2dm
WGhnWWloW2tqXGxrXW1sXm5tX29uYHBvYXFwYnJxY3NyZHRzZXV0ZnZ1Z3d2
bHx7aHh3anp5TFxbbX18b39+cIB/cYGAcoKBa3t6c4OCdISDdYWEd4eGeYmI
eoqJe4uKgZGQfIyLgJCPdoaFfo6Nf4+OfY2MEyMigpKRhJSTiZmYhZWUhpaV
ipqZi5uajp6dkKCfjJybjZ2ciJiXnq6tj5+ena2sl6emk6OilKSjmKinmamo
nKyrkqKhmqqpm6uqkaGgn6+uoLCvssLBu8vKpLSzobGwpra1qLi3q7u6p7e2
qbm4qrq5orKxo7OyrLy7rb28s8PCsMC/scHAtcXElaWktsbFuMjHrr69r7++
t8fGucnIusrJvMzLg5OSwdHQvs7Nv8/OwtLR8Ofmx9fWydnYxdXUxtbVwNDP
yNjXytrZ6+QOzNzbzd3czt7dz9/eHeQe0ODf8u7jy9va7uriEOIR6ODRpZWW
5OUe+fHhvc3M8eno7ObU6Ong8+/r9u4B4uoC9PDs9fHt5ufE0ujR4+7i9+8P
7vIB7PDm7fHo7/MPxebE8PTT7vbq6+/k+PDT8fXh7/fl8fnpl2heKQ==
           "]]]}}], {{1.8120774787088365`, -0.1425002367528978}}], {{}, {}, {
       Hue[0.67, 0.6, 0.6], 
       Thickness[Large], 
       LineBox[CompressedData["
1:eJwVU3k81IsXRcokmVB5vDRkKSkkhIeTJUmriFZKKlqEJ/uSQnmJFqHITtbE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        "]]}}, {
      CircleBox[{0, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0, 0.2}, 0.02, {-1.1965996462722117`, 1.1965996462722117`}], 
      CircleBox[{0, 0.2}, 0.02, {-1.1965996462722117`, 1.1965996462722117`}], 
      CircleBox[{0, 0.4}, 0.02, {-0.9050225767665427, 0.9050225767665427}], 
      CircleBox[{0, 0.4}, 0.02, {-0.9050225767665427, 0.9050225767665427}], 
      CircleBox[{0, 0.6000000000000001}, 0.02, {-0.7038123128514119, 
       0.7038123128514119}], 
      CircleBox[{0, 0.6000000000000001}, 0.02, {-0.7038123128514119, 
       0.7038123128514119}], 
      CircleBox[{0, 0.8}, 0.02, {-0.5669115049410094, 0.5669115049410094}], 
      CircleBox[{0, 0.8}, 0.02, {-0.5669115049410094, 0.5669115049410094}], 
      CircleBox[{0, 1.}, 0.02, {-0.47105657827092356`, 0.47105657827092356`}], 
      CircleBox[{0, 1.}, 0.02, {-0.47105657827092356`, 0.47105657827092356`}], 
      CircleBox[{0.2, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.2, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.2, 0.2}, 0.02, {-1.19771730770773, 1.205416213764389}], 
      CircleBox[{0.2, 0.2}, 0.02, {-1.19771730770773, 1.205416213764389}], 
      CircleBox[{0.2, 0.4}, 0.02, {-0.8894042814674152, 0.9337182684347161}], 
      CircleBox[{0.2, 0.4}, 0.02, {-0.8894042814674152, 0.9337182684347161}], 
      CircleBox[{0.2, 0.6000000000000001}, 0.02, {-0.6579347273692754, 
       0.7598415687085003}], 
      CircleBox[{0.2, 0.6000000000000001}, 0.02, {-0.6579347273692754, 
       0.7598415687085003}], 
      CircleBox[{0.2, 0.8}, 0.02, {-0.4856972760273908, 0.6526152514845326}], 
      CircleBox[{0.2, 0.8}, 0.02, {-0.4856972760273908, 0.6526152514845326}], 
      CircleBox[{0.2, 1.}, 0.02, {-0.3535831500422134, 0.5866232630946635}], 
      CircleBox[{0.2, 1.}, 0.02, {-0.3535831500422134, 0.5866232630946635}], 
      CircleBox[{0.4, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.4, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.4, 0.2}, 0.02, {-1.2090201473160411`, 
       1.2231907562058657`}], 
      CircleBox[{0.4, 0.2}, 0.02, {-1.2090201473160411`, 
       1.2231907562058657`}], 
      CircleBox[{0.4, 0.4}, 0.02, {-0.8894034256974257, 0.9728485023351678}], 
      CircleBox[{0.4, 0.4}, 0.02, {-0.8894034256974257, 0.9728485023351678}], 
      CircleBox[{0.4, 0.6000000000000001}, 0.02, {-0.6267327962774532, 
       0.8223189831780866}], 
      CircleBox[{0.4, 0.6000000000000001}, 0.02, {-0.6267327962774532, 
       0.8223189831780866}], 
      CircleBox[{0.4, 0.8}, 0.02, {-0.4147198893845983, 0.7385144391048354}], 
      CircleBox[{0.4, 0.8}, 0.02, {-0.4147198893845983, 0.7385144391048354}], 
      CircleBox[{0.4, 1.}, 0.02, {-0.24161357686645962`, 0.6951735303724551}], 
      CircleBox[{0.4, 1.}, 0.02, {-0.24161357686645962`, 0.6951735303724551}], 
      CircleBox[{0.6000000000000001, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.6000000000000001, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.6000000000000001, 0.2}, 0.02, {-1.229888572007035, 
       1.2483276559921261`}], 
      CircleBox[{0.6000000000000001, 0.2}, 0.02, {-1.229888572007035, 
       1.2483276559921261`}], 
      CircleBox[{0.6000000000000001, 0.4}, 0.02, {-0.9071752683042098, 
       1.0196707092099162`}], 
      CircleBox[{0.6000000000000001, 0.4}, 0.02, {-0.9071752683042098, 
       1.0196707092099162`}], 
      CircleBox[{0.6000000000000001, 0.6000000000000001}, 
       0.02, {-0.6157986688588416, 0.8880274229872421}], 
      CircleBox[{0.6000000000000001, 0.6000000000000001}, 
       0.02, {-0.6157986688588416, 0.8880274229872421}], 
      CircleBox[{0.6000000000000001, 0.8}, 0.02, {-0.36177028376074927`, 
       0.8212894001002331}], 
      CircleBox[{0.6000000000000001, 0.8}, 0.02, {-0.36177028376074927`, 
       0.8212894001002331}], 
      CircleBox[{0.6000000000000001, 1.}, 0.02, {-0.1450992020122883, 
       0.7934350874244464}], 
      CircleBox[{0.6000000000000001, 1.}, 0.02, {-0.1450992020122883, 
       0.7934350874244464}], 
      CircleBox[{0.8, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.8, 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{0.8, 0.2}, 0.02, {-1.2586897879090342`, 1.278688547568187}], 
      CircleBox[{0.8, 0.2}, 0.02, {-1.2586897879090342`, 1.278688547568187}], 
      CircleBox[{0.8, 0.4}, 0.02, {-0.9437415517349245, 1.0712229594565064`}], 
      CircleBox[{0.8, 0.4}, 0.02, {-0.9437415517349245, 1.0712229594565064`}], 
      CircleBox[{0.8, 0.6000000000000001}, 0.02, {-0.6316030015808647, 
       0.95391650911812}], 
      CircleBox[{0.8, 0.6000000000000001}, 0.02, {-0.6316030015808647, 
       0.95391650911812}], 
      CircleBox[{0.8, 0.8}, 0.02, {-0.3373861728244741, 0.8981560121752201}], 
      CircleBox[{0.8, 0.8}, 0.02, {-0.3373861728244741, 0.8981560121752201}], 
      CircleBox[{0.8, 1.}, 0.02, {-0.07695207275570853, 0.8792637980867379}], 
      CircleBox[{0.8, 1.}, 0.02, {-0.07695207275570853, 0.8792637980867379}], 
      CircleBox[{1., 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{1., 0}, 0.02, 
       NCache[{
        Rational[-1, 2] Pi, Rational[-1, 2] 
         Pi}, {-1.5707963267948966`, -1.5707963267948966`}]], 
      CircleBox[{1., 0.2}, 0.02, {-1.2927370378845655`, 1.3116772194313728`}], 
      CircleBox[{1., 0.2}, 0.02, {-1.2927370378845655`, 1.3116772194313728`}], 
      CircleBox[{1., 0.4}, 0.02, {-0.9977226759222207, 1.1241846330879002`}], 
      CircleBox[{1., 0.4}, 0.02, {-0.9977226759222207, 1.1241846330879002`}], 
      CircleBox[{1., 0.6000000000000001}, 0.02, {-0.6800173279174275, 
       1.0168054826601571`}], 
      CircleBox[{1., 0.6000000000000001}, 0.02, {-0.6800173279174275, 
       1.0168054826601571`}], 
      CircleBox[{1., 0.8}, 0.02, {-0.3551696231047301, 0.9664067730456578}], 
      CircleBox[{1., 0.8}, 0.02, {-0.3551696231047301, 0.9664067730456578}], 
      CircleBox[{1., 1.}, 0.02, {-0.05431355761609106, 0.9508048151366397}], 
      CircleBox[{1., 1.}, 0.02, {-0.05431355761609106, 0.9508048151366397}]}, {
      Arrowheads[0.025], 
      ArrowBox[{{0, 0}, {0, 0.08}}], 
      ArrowBox[{{0, 0}, {0, -0.08}}], 
      ArrowBox[{{0, 0.2}, {0.02924199328704668, 0.274464124439896}}], 
      ArrowBox[{{0, 0.2}, {0.02924199328704668, 0.125535875560104}}], 
      ArrowBox[{{0, 0.4}, {0.04941342598710849, 0.4629151280076307}}], 
      ArrowBox[{{0, 0.4}, {0.04941342598710849, 0.33708487199236936`}}], 
      ArrowBox[{{0, 0.6000000000000001}, {0.06099045406939593, 
        0.6517703053150058}}], 
      ArrowBox[{{0, 0.6000000000000001}, {0.06099045406939593, 
        0.5482296946849944}}], 
      ArrowBox[{{0, 0.8}, {0.0674850886455015, 0.8429623417717053}}], 
      ArrowBox[{{0, 0.8}, {0.0674850886455015, 0.7570376582282948}}], 
      ArrowBox[{{0, 1.}, {0.07128714246572317, 1.0363062435274113`}}], 
      ArrowBox[{{0, 1.}, {0.07128714246572317, 0.9636937564725888}}], 
      ArrowBox[{{0.2, 0}, {0.2, 0.08}}], 
      ArrowBox[{{0.2, 0}, {0.2, -0.08}}], 
      ArrowBox[{{0.2, 0.2}, {0.2285843473036011, 0.2747190410084813}}], 
      ArrowBox[{{0.2, 0.2}, {0.22915874936009187`, 0.12550323942777553`}}], 
      ArrowBox[{{0.2, 0.4}, {0.24758793746835905`, 0.4643069841269792}}], 
      ArrowBox[{{0.2, 0.4}, {0.25038998647235367`, 0.33786426741949516`}}], 
      ArrowBox[{{0.2, 0.6000000000000001}, {0.25799561186863007`, 
       0.6551045279807679}}], 
      ArrowBox[{{0.2, 0.6000000000000001}, {0.2633005439403615, 
       0.5510812803023796}}], 
      ArrowBox[{{0.2, 0.8}, {0.26355986906281104`, 0.84858130344812}}], 
      ArrowBox[{{0.2, 0.8}, {0.2707479726528242, 0.7626539913040866}}], 
      ArrowBox[{{0.2, 1.}, {0.2666251698395264, 1.0442841590622907`}}], 
      ArrowBox[{{0.2, 1.}, {0.2750510424722681, 0.9722990790076248}}], 
      ArrowBox[{{0.4, 0}, {0.4, 0.08}}], 
      ArrowBox[{{0.4, 0}, {0.4, -0.08}}], 
      ArrowBox[{{0.4, 0.2}, {0.42725180519896266`, 0.27521528510480964`}}], 
      ArrowBox[{{0.4, 0.2}, {0.4283148797963173, 0.12517842836373924`}}], 
      ArrowBox[{{0.4, 0.4}, {0.445035804163864, 0.46611940973204535`}}], 
      ArrowBox[{{0.4, 0.4}, {0.4503900396462304, 0.3378643105417561}}], 
      ArrowBox[{{0.4, 0.6000000000000001}, {0.4544419087634832, 
       0.6586180737502401}}], 
      ArrowBox[{{0.4, 0.6000000000000001}, {0.46479584385154993`, 
       0.5530798697831564}}], 
      ArrowBox[{{0.4, 0.8}, {0.4591575551404019, 0.853855210238289}}], 
      ArrowBox[{{0.4, 0.8}, {0.47321833778974165`, 0.7677653135379404}}], 
      ArrowBox[{{0.4, 1.}, {0.4614354051123736, 1.0512414968426815`}}], 
      ArrowBox[{{0.4, 1.}, {0.4776762527245719, 0.9808584284169655}}], 
      ArrowBox[{{0.6000000000000001, 0}, {0.6000000000000001, 0.08}}], 
      ArrowBox[{{0.6000000000000001, 0}, {0.6000000000000001, -0.08}}], 
      ArrowBox[{{0.6000000000000001, 0.2}, {0.6253527159568724, 
       0.2758764772087513}}], 
      ArrowBox[{{0.6000000000000001, 0.2}, {0.6267474195747917, 
       0.12460387578867167`}}], 
      ArrowBox[{{0.6000000000000001, 0.4}, {0.6418917211356356, 
       0.46815485089334546`}}], 
      ArrowBox[{{0.6000000000000001, 0.4}, {0.649277874735198, 
       0.3369786459873946}}], 
      ArrowBox[{{0.6000000000000001, 0.6000000000000001}, {0.6504754907925175,
        0.6620662938256707}}], 
      ArrowBox[{{0.6000000000000001, 0.6000000000000001}, {0.665304991011744, 
       0.5537911464224003}}], 
      ArrowBox[{{0.6000000000000001, 0.8}, {0.6545022320742765, 
       0.8585619902233669}}], 
      ArrowBox[{{0.6000000000000001, 0.8}, {0.67482173857151, 
       0.7716855613310695}}], 
      ArrowBox[{{0.6000000000000001, 1.}, {0.6561120833788938, 
       1.057021347746963}}], 
      ArrowBox[{{0.6000000000000001, 1.}, {0.6791593253650998, 
       0.9884327528018862}}], 
      ArrowBox[{{0.8, 0}, {0.8, 0.08}}], 
      ArrowBox[{{0.8, 0}, {0.8, -0.08}}], 
      ArrowBox[{{0.8, 0.2}, {0.8230377083951775, 0.27661112185511166`}}], 
      ArrowBox[{{0.8, 0.2}, {0.8245651268645995, 0.1238648928409099}}], 
      ArrowBox[{{0.8, 0.4}, {0.8383240871679982, 0.4702229616488772}}], 
      ArrowBox[{{0.8, 0.4}, {0.846940990671286, 0.3352192667932954}}], 
      ArrowBox[{{0.8, 0.6000000000000001}, {0.846279430971319, 
       0.6652549942071175}}], 
      ArrowBox[{{0.8, 0.6000000000000001}, {0.8645665656463253, 
       0.5527648584141133}}], 
      ArrowBox[{{0.8, 0.8}, {0.8498442684727304, 0.8625743469835554}}], 
      ArrowBox[{{0.8, 0.8}, {0.875489849733456, 0.7735182593619635}}], 
      ArrowBox[{{0.8, 1.}, {0.8510174712735032, 1.0616215678545853`}}], 
      ArrowBox[{{0.8, 1.}, {0.8797632520022122, 0.9938499081281978}}], 
      ArrowBox[{{1., 0}, {1., 0.08}}], 
      ArrowBox[{{1., 0}, {1., -0.08}}], 
      ArrowBox[{{1., 0.2}, {1.0204983333154336`, 0.2773292850819752}}], 
      ArrowBox[{{1., 0.2}, {1.0219591998688629`, 0.12307280363148981`}}], 
      ArrowBox[{{1., 0.4}, {1.0345529642024935`, 0.4721532581719024}}], 
      ArrowBox[{{1., 0.4}, {1.0433773764230052`, 0.33278093116788277`}}], 
      ArrowBox[{{1., 0.6000000000000001}, {1.0420868280013085`, 
       0.6680345420267403}}], 
      ArrowBox[{{1., 0.6000000000000001}, {1.0622049458368474`, 
       0.5496954801888054}}], 
      ArrowBox[{{1., 0.8}, {1.0454607901596222`, 0.8658279314429885}}], 
      ArrowBox[{{1., 0.8}, {1.075007001277898, 0.7721800474605472}}], 
      ArrowBox[{{1., 1.}, {1.0464822601630317`, 1.0651106710926577`}}], 
      ArrowBox[{{1., 1.}, {1.0798820305031078`, 0.9956570513817727}}]}}, 
    AspectRatio -> 1, Frame -> True, 
    ImagePadding -> {{15.5, 0.933333}, {16.333333, 0.1}}, 
    ImageSize -> {959.4444273209801, Automatic}, Method -> {}, 
    PlotRange -> {{-0.02291666666666667, 1.1229166666666668`}, {-0.125, 
     1.125}}, PlotRangeClipping -> True, PlotRangePadding -> Automatic],
   TemplateBox[{"\"Time-scaling curve\""}, "LineLegend", 
    DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            TagBox[
             GridBox[{{
                GraphicsBox[{{
                   Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    Hue[0.67, 0.6, 0.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                   Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    Hue[0.67, 0.6, 0.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                 ImageSize -> {20, 10}, PlotRangePadding -> None, 
                 ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
              GridBoxAlignment -> {
               "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {
               "Columns" -> {{False}}, "Rows" -> {{False}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], 
             "Grid"]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"LineLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{"Directive", "[", 
             RowBox[{
               RowBox[{"Hue", "[", 
                 RowBox[{"0.67`", ",", "0.6`", ",", "0.6`"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], ",", 
         RowBox[{"{", #, "}"}], ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Input",
 CellChangeTimes->{{3.6098819893207836`*^9, 3.6098819996467*^9}}]
}, Open  ]]
},
WindowSize->{1664, 913},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{595.1999999999999, 841.98},
"PrintingMargins"->56.692913999999995`},
Magnification->0.7999999523162842,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 99, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[703, 27, 30595, 798, 1334, "Input"],
Cell[31301, 827, 1811, 25, 18, "Print"],
Cell[33115, 854, 2711, 52, 25, "Output"],
Cell[35829, 908, 1811, 25, 18, "Print"],
Cell[37643, 935, 2228, 37, 25, "Output"],
Cell[39874, 974, 1827, 25, 18, "Print"],
Cell[41704, 1001, 1814, 25, 23, "Output"],
Cell[43521, 1028, 1822, 25, 18, "Print"],
Cell[45346, 1055, 9385, 172, 263, "Output"]
}, Open  ]],
Cell[54746, 1230, 23289, 423, 781, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
